Get All Alarms
Returns an array of all alarms within your VSA user's scope.
GET /assetmgmt/alarms/{returnAllRecords}
- Accepts filter and sort expressions.
URL Parameter
{returnAllRecords}false- Only new alarms are listed since the last time the alarm list was requested by the user's session.true- All alarms are returned in the list
Headers
- Authorization: Bearer {hash string returned from Authentication}
Model Schemas
|
Field |
Datatype |
Filterable |
Sortable |
|
|
int |
|
|
|
|
string |
|
|
|
|
string |
|
|
|
|
string |
|
|
|
|
string |
|
|
|
|
string |
|
|
|
Field |
Datatype |
Filterable |
Sortable |
|
|
int |
|
|
|
|
decimal |
|
|
|
|
string |
||
|
|
int16 |
|
|
|
|
string |
|
|
|
|
string |
|
|
|
|
datetime |
||
|
|
int16 |
|
|
Sample Response Model
{"TotalRecords": 0,
"Result": [
{"AlarmId": 0,
"AgentId": 0,
"MachineGroup": "string",
"AlertType": 0,
"agentName": "string",
"AlarmSubject": "string",
"EventTime": "2017-08-01T15:52:15.159Z",
"MonitorAlarmStateId": 0,
"Attributes": {}}
],
"ResponseCode": 0,
"Status": "string",
"Error": "string"
}
